package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag200;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT200Creator;


public class Tag72Creator extends AbsTagCreate {
    private MT200Creator mt200Creator;

    public Tag72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt200Creator = (MT200Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt200Creator.getSendertoReceiverInformation();
        mt200Creator.set("72",tag72Value);
    }
}
